Update a User Profile
put
/api/AAA/UserProfiles/{id}
Updates the configuration of the user profile that matches the specified ID.
Request
Path Parameters
-
id(required): integer(int32)
The user profile ID.Example:
1
Supported Media Types
- application/json
Root Schema : schema
Type:
objectDetails of the user profile to update.
Show Source
-
AccountStatus: integer
Indicates whether the user account is enabled (1) or disabled (0). Either omit this parameter, or specify the existing flag setting for the account in the PUT request. Do not update it.
You can make a GET request at the /api/AAA/UserProfiles or /api/AAA/Users endpoint to see this information for a user.Example:1 -
AuthenticationType: integer
The authentication type ID. Either omit this parameter, or specify the existing authentication type for the account in the PUT request. Do not update it.
You can make a GET request at the /api/AAA/UserProfiles or /api/AAA/Users endpoint to see this information for a user.Example:1 -
EmailAddress: string
The user's email address. If you do not want to update the email address, either omit this parameter, or specify the existing email address for the account in the PUT request.
You can make a GET request at the /api/AAA/UserProfiles or /api/AAA/Users endpoint to see this information for a user.Example:example@example.com -
Password: string
The user's password. Required for Internal authentication only. If you do not want to update the password, either omit this parameter, or use a blank string for the value.Example:
-
Preferences: array
Preferences
The user's preferences. You must include all existing preferences for the account in the PUT request. Any existing preferences that you do not include will be removed.
You can make a GET request at the /api/AAA/UserProfiles or /api/AAA/Users endpoint to see this information for a user. -
Properties: array
Properties
The user's properties. You must include all existing properties for the account in the PUT request.
Any existing properties that you do not include will be removed. You can make a GET request at the /api/AAA/UserProfiles or /api/AAA/Users endpoint to see this information for a user. -
RepeatPassword: string
The user's password, repeated. Required for Internal authentication only. If you do not want to update the password, either omit this parameter, or use a blank string for the value.Example:
-
Subgroups: string
The comma-separated list of IDs for subgroups that the account belongs to. You must include all existing subgroups only for the account in the PUT request. Use IDs, not names. Any existing subgroups that you do not include will be removed. Do not use this PUT request to add new subgroups.
You can make a GET request at the /api/AAA/UserProfiles or /api/AAA/Users endpoint to see this information for a user. You can make a PUT request at the /api/AAA/Users endpoint to change a user's subgroups.Example:1,2,3
Nested Schema : Preferences
Type:
arrayThe user's preferences. You must include all existing preferences for the account in the PUT request. Any existing preferences that you do not include will be removed.
You can make a GET request at the /api/AAA/UserProfiles or /api/AAA/Users endpoint to see this information for a user.
Show Source
You can make a GET request at the /api/AAA/UserProfiles or /api/AAA/Users endpoint to see this information for a user.
Nested Schema : Properties
Type:
arrayThe user's properties. You must include all existing properties for the account in the PUT request.
Any existing properties that you do not include will be removed. You can make a GET request at the /api/AAA/UserProfiles or /api/AAA/Users endpoint to see this information for a user.
Show Source
Any existing properties that you do not include will be removed. You can make a GET request at the /api/AAA/UserProfiles or /api/AAA/Users endpoint to see this information for a user.
Nested Schema : items
Type:
Show Source
object-
Description: string
The description of the preference.Example:
Default event list display (default 'Default') -
Override: integer
Whether the preference is unlocked (0), allowing the user to override their group preference, or locked (1), preventing the user from overriding it.Example:
0 -
PreferenceID: integer
The preference ID.Example:
3 -
PreferenceName: string
The preference name.Example:
DefaultDisplayID -
PreferenceValue: integer
The preference value.Example:
5
Nested Schema : items
Type:
Show Source
object-
Description: string
The description of the property.Example:
A new property. -
id: integer
Example:
2 -
PropertyID: integer
The property ID.Example:
1 -
PropertyName: string
The property name.Example:
ResetQuestion -
PropertyValue: string
The property value.Example:
resetval
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Match All
Show Source
-
object
SuccessfulUpdateOperation
The response body for a successful update operation.
-
object
type
Nested Schema : SuccessfulUpdateOperation
Type:
objectThe response body for a successful update operation.
Show Source
-
message: string
The response message.Example:
Updated record -
success: boolean
Whether the operation was a success (true) or a failure (false).Example:
true
Nested Schema : type
Type:
Show Source
object-
data: array
data
-
total: integer
The total number of results regardless of paging.Example:
1
Nested Schema : AAAUsersRead
Type:
objectUser details.
Show Source
-
AccountExpiration: string
The date and time when the account's password will expire. 0 means it never expires.Example:
2025-10-04 12:30:00 or 2025-10-04 -
AccountStatus: integer
A flag to indicate if the user account is enabled (1) or disabled (0).Example:
1 -
AuthenticationType: object
AuthenticationType
The authentication type instance for the user..
-
AuthenticationTypeName: string
The authentication type instance name.Example:
Internal -
EmailAddress: string
The user email address.Example:
example@example.com -
FailedLoginCount: integer
The number of failed logins.Example:
0 -
FullName: string
The full name of the user.Example:
Operator -
LastLoginFailed: integer
The last failed login attempt.Example:
0 -
LastLoginSuccess: integer
The last successful login attempt.Example:
0 -
Password: string
The user's password. Required for Internal authentication only.Example:
-
PasswordExpiration: string
The value of the PasswordExpiration field can vary depending on the PasswordChange setting and the expiration details provided when setting up the user
If PasswordChange is set to 'immediate', this field returns 0 to indicate that Force Password Change is set to "At Next Login".
If PasswordChange is set to 'never', this field returns a future date such as "2038-01-19 01:14:07".
If PasswordChange is set to 'date', this field returns whatever future date was specified.Example:2025-10-04 12:30:00 or 2025-10-04 -
Preferences: array
Preferences
The user preferences.
-
Properties: array
Properties
The user's properties.
-
RepeatPassword: string
The user's password, repeated. Required for Internal authentication only.Example:
-
Subgroups: array
Subgroups
The subgroups that the account belongs to. Users inherit only restrictive access properties set for the subgroup, not roles or preferences.
-
SupportUsername: string
The support user name.Example:
-
UserGroup: object
UserGroup
The user group.
-
UserGroupName: string
The user group name.Example:
Administrators -
UserID: integer
The user ID.Example:
1065 -
UserName: string
The user name.Example:
operator
Nested Schema : AuthenticationType
Type:
objectThe authentication type instance for the user..
Show Source
-
id: integer
The unique identifier for the authentication type instance.
-
name: string
The name for the authentication type instance.
Example:
{
"id":"1",
"name":"Internal"
}Nested Schema : Subgroups
Type:
arrayThe subgroups that the account belongs to. Users inherit only restrictive access properties set for the subgroup, not roles or preferences.
Show Source
Nested Schema : UserGroup
Type:
objectThe user group.
Show Source
-
id: integer
The unique identifier for the primary user group from which the user inherits configurations which includes roles, properties, and preferences.
-
name: string
The user group name.
Example:
{
"id":"1",
"name":"Administrators"
}Nested Schema : items
Type:
Show Source
object-
Description: string
The preference description.Example:
Default event list display (default 'Default') -
Override: integer
Whether the preference is unlocked (0), allowing the user to override their group preference, or locked (1), preventing the user from overriding it.Example:
0 -
PreferenceID: integer
The preference ID.Example:
3 -
PreferenceName: string
The preference name.Example:
DefaultDisplayID -
PreferenceValue: string
The preference value.Example:
5
Nested Schema : items
Type:
Show Source
object-
Description: string
The description associated with the property.Example:
Reserved for future use -
PropertyID: integer
The property ID.Example:
1 -
PropertyName: string
The property name.Example:
ResetQuestion -
PropertyValue: string
The property value.Example:
resetval
Nested Schema : items
Type:
Show Source
object-
UserGroupID: integer
The subgroup ID.Example:
1 -
UserGroupName: string
The subgroup name.Example:
Operators
Default Response
Failed operation
Root Schema : schema
Type:
Show Source
object-
errors: array
errors
The list of errors reported. Validation errors will be keyed by record field.
-
message: string
The response message.Example:
Exception thrown -
success: boolean
Whether the operation was a success (true) or a failure (false).Example:
false
Nested Schema : errors
Type:
arrayThe list of errors reported. Validation errors will be keyed by record field.
Show Source
-
Array of:
object items
An error.
Nested Schema : items
Type:
objectAn error.